<template>
  <div id="myChart"></div>
</template>
<script>
export default {
  name:'category',
  props:{
    legendData:{
      type:Array,
      default:()=>{
        return ['进校人数','出校人数']
      }
    },
    xAxisData:{
      type:Array,
      default:()=>{
        return ['06:00', '09:00', '12:00', '15:00', '18:00', '21:00']
      }
    },
    seriesData:{
      type:Array,
      default:()=>{
        return []
      }
    }
  },
  watch: {
    "seriesData":{
      handler:function(val,oldVal){
        if(val !== oldVal){
          this.init()
        }
      },
      deep:true
    },
    "TreeDataPool.showTreeBox":{
      handler:function(val,oldVal){
        if(val !== oldVal){
          this.handleResize()
        }
      }
    },
  },
  data() {
    return {
      myChart:Object
    }
  },
  computed: {
    options(){
      return {
        tooltip:{
          trigger:'axis',
          extraCssText:'text-align:left;'
        },
        legend:{
          show:true,
          left:20,
          top:0,
          type:'plain',
          align:'left',
          icon:'circle',
          textStyle: {
            color:'#ff'
          }
        },
        // grid:{
        //   left:50,
        //   top:50,
        //   right:10,
        //   bottom:20
        // },
        xAxis: {
          type: 'category',
          axisLine:{
            lineStyle:{
              color:'#fff',
              height:'100%'
            }
          },
          data: this.xAxisData
        },
        yAxis: {
            type: 'value',
            axisLine:{
              lineStyle:{
                color:'#fff',
                height:'100%'
              }
            },
            splitLine:{
              lineStyle:{
                color:['#616A6B']
              }
            },
            nameGap:20
        },
        series: this.seriesData
      }
    }
  },
  methods: {
    init(){
      // const myChart = this.$echarts.init(document.getElementById('myChart'))
      // myChart.setOption({
      //   tooltip:{
      //     trigger:'axis',
      //     extraCssText:'text-align:left;'
      //   },
      //   legend:{
      //     show:true,
      //     type:'plain',
      //     align:'left',
      //     icon:'circle'
      //   },
      //   xAxis: {
      //     type: 'category',
      //     data: this.xAxisData
      //   },
      //   yAxis: {
      //       type: 'value',
      //       name:'单位',
      //       nameGap:20
      //   },
      //   series: this.seriesData
      // })
      this.myChart.setOption(this.options)
    },
    handleResize(){
      this.myChart.resize()
    }
  },
  mounted() {
    // window.addEventListener("resize", this.handleResize);
    // this.init()
    this.$nextTick(()=>{
      // let height = document.getElementById('myChart').clientHeight
      // console.log(height,'myChart的高度')
      this.myChart = this.$echarts.init(document.getElementById('myChart'))
      this.myChart.setOption(this.options)
    })
  },
}
</script>
<style lang="scss">
#myChart{
  width: 100%;
  height: 100%;
}
</style>
